module Fahrenheit::AlephUbpb::Adapter::Record::GetItems
  require_relative "./get_items/restful_api_result_transformation"

  def record_get_items(record_id, options = {})
    super_result = super(
      record_id.gsub("PAD_ALEPH", "PAD01"),
      options.merge(output_format: :ox_document)
    )

    RestfulApiResultTransformation.new.apply source: super_result, target: super_result
  end
end
